## redis 1.2.6

=== debian/changelog ===
redis (2:1.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Mar 2010 14:13:52 +0100

redis (2:1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Drop 02-fix-segfault-indupClientReplyValue.diff; applied upstream via
    <http://code.google.com/p/redis/issues/detail?id=177>.

 -- Chris Lamb <lamby@debian.org>  Thu, 11 Mar 2010 21:34:37 +0000

redis (2:1.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Mar 2010 16:18:19 +0000

redis (2:1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Mar 2010 16:45:07 +0000

redis (2:1.2.2-2) unstable; urgency=low

  * Really fix segfault in dupClientReplyValue. (Closes: #570371)

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Feb 2010 09:16:48 +0000

redis (2:1.2.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes segfault in dupClientReplyValue. Thanks to Hirling Endre
      <endre@dawn.royalcomp.hu> (Closes: #570371)

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Feb 2010 22:02:10 +0000

redis (2:1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Add Bash completion script for redis-cli by Steve Kemp <skx@debian.org>.
    (Closes: #565358)
  * Bump Standards-Version to 3.8.4.
  * Add $remote_fs to LSB "Required-{Start,Stop}" initscript headers.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Feb 2010 14:37:32 +0000
