## redis 2.0.0~rc2

=== debian/changelog ===
redis (2:2.0.0~rc2-1) experimental; urgency=low

  * New upstream RC release.

 -- Chris Lamb <lamby@debian.org>  Thu, 01 Jul 2010 23:15:02 +0100

redis (2:2.0.0~rc1-2) experimental; urgency=low

  * Add 'status' command to initscript.
  * Add redis-benchmark (and manpage) to package. (Closes: #587395)

 -- Chris Lamb <lamby@debian.org>  Mon, 28 Jun 2010 11:02:31 +0100

redis (2:2.0.0~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Remove '01-dont-print-pid-on-startup.diff' patch.
  * Update local copy of redis.conf.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jun 2010 10:51:05 +0100
