=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" http://googlecode.debian.net/p/redis /p/redis/redis-(.*).tar.gz
