## redis 2.0.1

=== debian/changelog ===
redis (2:2.0.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Sep 2010 14:49:30 +0100

redis (2:2.0.1-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch to not match old tarballs.
  * Upstream now ships an install target; let's just ignore it for now.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Sep 2010 14:40:01 +0100

redis (2:2.0.0~rc4-1) experimental; urgency=low

  * New upstream RC release.
  * Bump Standards-Version to 3.9.1.
  * Remove mkreleasehdr.sh when building to avoid debian diff - it will
    regenerate release.h with different contents.

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Jul 2010 09:13:31 -0400

redis (2:2.0.0~rc3-1) experimental; urgency=low

  * New upstream RC release.
  * Bump Standards-Version to 3.9.0.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Jul 2010 11:59:16 +0100
