=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,9 @@
 
 override_dh_auto_test:
 	# Testsuite requires working TCP/IP and a non-interactive mode
+
+override_dh_auto_install:
+
+override_dh_auto_clean:
+	rm -rf mkreleasehdr.sh
+	dh_auto_clean
