## redis 2.2.11

=== debian/changelog ===
redis (2:2.2.11-3) unstable; urgency=low

  * Change default loglevel to "notice".
  * Wait forever for redis to stop - only waiting 10 seconds could cause data
    loss.
  * Set a proper default location for socket file. (Closes: #632931)

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jul 2011 13:25:16 +0100

redis (2:2.2.11-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd. Thanks to Christoph Egger <christoph@debian.org> for
    the patch. (Closes: #632499)
  * Ship redis-check-aof and redis-check-dump. (Closes: #632858)

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jul 2011 22:36:18 +0100

redis (2:2.2.11-1) unstable; urgency=low

  * New upstream release.
  * Correct spelling of "Description" in patch system.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 Jul 2011 00:43:37 +0100

redis (2:2.2.10-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Jun 2011 14:53:41 +0100

redis (2:2.2.8-1) unstable; urgency=low

  * New upstream release.
  * Add patch from Ubuntu to fix FTBFS due to --as-needed linking.
    Thanks to Nigel Babu <nigelbabu@ubuntu.com>. (Closes: #628056)

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Jun 2011 16:43:58 +0100

redis (2:2.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Apr 2011 14:04:29 +0100

redis (2:2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Apr 2011 14:05:43 +0100

redis (2:2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Use userdel over deluser to prevent problems when purging package.
    (Closes: #618326)

 -- Chris Lamb <lamby@debian.org>  Tue, 15 Mar 2011 11:13:21 +0000

redis (2:2.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #604076)
  * Update install paths.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Feb 2011 19:39:43 +0000
