=== debian/changelog ===
redis (2:2.2.12-1build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:18:25 -0700

redis (2:2.2.12-1) unstable; urgency=low

  * New upstream release.
  * Move runtime files to /var/run/redis/ and set that as default location for
    socket file. Thanks to Sandro Tosi <morph@debian.org>. (Closes: #632931)
  * Refresh fix-link-ordering patch.
  * Use "defined(__linux__) || defined(__GLIBC__)" for kfreebsd compatibility.
    Thanks to Robert Millan <rmh@debian.org>. (Closes: #632499)

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jul 2011 19:20:26 +0200
