=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.1
-Homepage: http://code.google.com/p/redis/
-Vcs-Git: git://git.chris-lamb.co.uk/debian/pkg-redis.git
-Vcs-Browser: http://git.chris-lamb.co.uk/?p=debian/pkg-redis.git
+Standards-Version: 3.9.2
+Homepage: http://redis.io/
+Vcs-Git: git://github.com/lamby/pkg-redis.git
+Vcs-Browser: https://github.com/lamby/pkg-redis
 
 Package: redis-server
 Architecture: any
