=== debian/changelog ===
redis (2:2.4.5-1) unstable; urgency=low

  * New upstream version (Closes: #655416)
  * Use system jemalloc. (Closes: #654900, #654902)

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Jan 2012 12:30:27 +0000
