## redis 2.4.8

=== debian/changelog ===
redis (2:2.4.8-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch (Closes: #661919)
  * Don't use jemalloc on archs not supporting it (Closes: #661354)

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Mar 2012 22:19:51 +0000
