=== debian/changelog ===
redis (2:2.4.14-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2012 17:21:49 +0100

redis (2:2.4.13-1) unstable; urgency=low

  * New upstream release. (Closes: #673202)
  * Sync upstream redis.conf changes with debian/redis.conf.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 May 2012 10:32:33 +0100

redis (2:2.4.9-2) unstable; urgency=low

  * Add /etc/default/redis-server option to call ``ulimit -n'' before
    invoking Redis. (Closes: #672638)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 May 2012 10:34:21 +0000

redis (2:2.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Mar 2012 12:21:29 +0100
