=== debian/watch ===
version=3
http://redis.io/download http://redis.googlecode.com/files/redis-(.*).tar.gz
