## redis 2.4.15

=== debian/changelog ===
redis (2:2.4.15-1~bpo60+2) squeeze-backports; urgency=low

  * Rebuild without requiring libjemalloc-dev. Thanks to Jan Wagner
    <waja@cyconet.org>.

 -- Chris Lamb <lamby@debian.org>  Sun, 15 Jul 2012 16:49:16 -0700

redis (2:2.4.15-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 11 Jul 2012 10:17:53 +0100

redis (2:2.4.15-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Jul 2012 10:56:28 +0100

redis (2:2.2.12-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Jul 2011 19:40:37 +0200

redis (2:2.2.11-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jul 2011 13:31:34 +0100
