=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 unexport CFLAGS
+
+export FORCE_LIBC_MALLOC = yes
 
 %:
 	dh $@
