=== debian/changelog ===
redis (2:2.6.7-1) unstable; urgency=low

  * New upstream release.
  * Add missing "status" command from usage. Thanks to Dererk
    <dererk@debian.org>. (Closes: #696339)
  * Enable building on kfreebsd-amd64 (and possibly kfreebsd-i386 and
    hurd-i386) by not depending on 'jemalloc' which would not be used anyway.
    Thanks to Jeff Epler <jepler@unpythonic.net>. (Closes: #696618)

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Dec 2012 17:00:06 +0000

redis (2:2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Update 02-fix-ftbfs-on-kfreebsd.diff.
  * Update 03-use-system-jemalloc.diff.
  * Update configuration file.

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Oct 2012 15:04:17 +0100

redis (2:2.4.17-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3.

 -- Chris Lamb <lamby@debian.org>  Wed, 10 Oct 2012 21:16:47 +0100
