## redis 2.6.14

=== debian/changelog ===
redis (2:2.6.14-2uk1) unstable; urgency=low

  * precise backport

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Thu, 05 Sep 2013 15:15:53 +0000

redis (2:2.6.14-2) unstable; urgency=low

  * Source /lib/lsb/init-functions in initscript for systemd compatibility.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Aug 2013 16:17:47 +0100

redis (2:2.6.14-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Aug 2013 12:14:12 +0100
